package com.vendor.platform.ui.tool;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.ToolDescriptor;
import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.internal.ControlFactory;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class ToolDetialDialog extends Dialog {
  private Text nameField;
  
  private Text versionField;
  
  private Text providerField;
  
  private Text releaseDateField;
  
  private ToolDescriptor toolDesc;
  
  private TableViewer pluginDetailViewer;
  
  public ToolDetialDialog(Shell parentShell, ToolDescriptor tool) {
    super(parentShell);
    setShellStyle(getShellStyle() | 0x10);
    this.toolDesc = tool;
  }
  
  protected void configureShell(Shell newShell) {
    super.configureShell(newShell);
    newShell.setText(Messages.ToolDetialDialog_0);
    newShell.setSize(480, 400);
  }
  
  protected void createButtonsForButtonBar(Composite parent) {
    GridData data = new GridData(4, 16777216, true, false);
    parent.setLayoutData(data);
    Button okButton = createButton(parent, 0, IDialogConstants.OK_LABEL, true);
    GridData okGD = (GridData)okButton.getLayoutData();
    okGD.horizontalAlignment = 16777216;
    okGD.grabExcessHorizontalSpace = true;
  }
  
  protected Control createDialogArea(Composite parent) {
    Composite comp = (Composite)super.createDialogArea(parent);
    createOverviewGroup(comp);
    initData();
    return (Control)comp;
  }
  
  private void initData() {
    ToolDescriptor.ToolProperties props = this.toolDesc.props;
    this.nameField.setText(trim(props.getName()));
    this.versionField.setText(trim(props.getVersion()));
    this.providerField.setText(trim(props.getProvider()));
    this.releaseDateField.setText(trim(props.getReleaseDate()));
    this.pluginDetailViewer.setInput(this.toolDesc.getPlugins());
  }
  
  private void createOverviewGroup(Composite comp) {
    Group group = ControlFactory.createGroup(comp, Messages.ToolDetialDialog_2, 4);
    this.nameField = ControlFactory.createLabeledText((Composite)group, Messages.ToolDetialDialog_3, 2048, null);
    this.versionField = ControlFactory.createLabeledText((Composite)group, Messages.ToolDetialDialog_4, 2048, null);
    this.providerField = ControlFactory.createLabeledText((Composite)group, Messages.ToolDetialDialog_5, 2048, null);
    this.releaseDateField = ControlFactory.createLabeledText((Composite)group, Messages.ToolDetialDialog_6, 2048, null);
    ControlFactory.setEditable(false, new Text[] { this.nameField, this.versionField, this.providerField, this.releaseDateField });
  }
  
  public String trim(String str) {
    return (str == null) ? "N/A" : str.trim();
  }
}
